Index: sasmodels/models/bcc_paracrystal.c
===================================================================
--- sasmodels/models/bcc_paracrystal.c	(revision 2a0b2b133086c070f586ead5c4a343a7e57ecad5)
+++ sasmodels/models/bcc_paracrystal.c	(revision 7e0b281e5f175a91044364982fcfbfe802508948)
@@ -1,13 +1,14 @@
 static double
-_sq_bcc(double qa, double qb, double qc, double dnn, double d_factor)
+bcc_Zq(double qa, double qb, double qc, double dnn, double d_factor)
 {
-    // Rewriting equations for efficiency, accuracy and readability, and so
-    // code is reusable between 1D and 2D models.
-    const double a1 = +qa - qc + qb;
-    const double a2 = +qa + qc - qb;
-    const double a3 = -qa + qc + qb;
-
-    const double half_dnn = 0.5*dnn;
-    const double arg = 0.5*square(half_dnn*d_factor)*(a1*a1 + a2*a2 + a3*a3);
+#if 0  // Equations as written in Matsuoka
+    const double a1 = (+qa + qb + qc)/2.0;
+    const double a2 = (-qa - qb + qc)/2.0;
+    const double a3 = (-qa + qb - qc)/2.0;
+#else
+    const double a1 = (+qa + qb - qc)/2.0;
+    const double a2 = (+qa - qb + qc)/2.0;
+    const double a3 = (-qa + qb + qc)/2.0;
+#endif
 
 #if 1
@@ -15,22 +16,24 @@
     //         => (-(exp(2a) - 1))^3
     //         => -expm1(2a)^3
-    // Denominator: prod(1 - 2 cos(xk) exp(a) + exp(a)^2)
-    //         => exp(a)^2 - 2 cos(xk) exp(a) + 1
-    //         => (exp(a) - 2 cos(xk)) * exp(a) + 1
-    const double exp_arg = exp(-arg);
-    const double Sq = -cube(expm1(-2.0*arg))
-        / ( ((exp_arg - 2.0*cos(half_dnn*a1))*exp_arg + 1.0)
-          * ((exp_arg - 2.0*cos(half_dnn*a2))*exp_arg + 1.0)
-          * ((exp_arg - 2.0*cos(half_dnn*a3))*exp_arg + 1.0));
+    // Denominator: prod(1 - 2 cos(d ak) exp(a) + exp(2a))
+    //         => prod(exp(a)^2 - 2 cos(d ak) exp(a) + 1)
+    //         => prod((exp(a) - 2 cos(d ak)) * exp(a) + 1)
+    const double arg = -0.5*square(dnn*d_factor)*(a1*a1 + a2*a2 + a3*a3);
+    const double exp_arg = exp(arg);
+    const double Zq = -cube(expm1(2.0*arg))
+        / ( ((exp_arg - 2.0*cos(dnn*a1))*exp_arg + 1.0)
+          * ((exp_arg - 2.0*cos(dnn*a2))*exp_arg + 1.0)
+          * ((exp_arg - 2.0*cos(dnn*a3))*exp_arg + 1.0));
 #else
     // Alternate form, which perhaps is more approachable
+    const double arg = -0.5*square(dnn*d_factor)*(a1*a1 + a2*a2 + a3*a3);
     const double sinh_qd = sinh(arg);
     const double cosh_qd = cosh(arg);
-    const double Sq = sinh_qd/(cosh_qd - cos(half_dnn*a1))
-                    * sinh_qd/(cosh_qd - cos(half_dnn*a2))
-                    * sinh_qd/(cosh_qd - cos(half_dnn*a3));
+    const double Zq = sinh_qd/(cosh_qd - cos(dnn*a1))
+                    * sinh_qd/(cosh_qd - cos(dnn*a2))
+                    * sinh_qd/(cosh_qd - cos(dnn*a3));
 #endif
 
-    return Sq;
+    return Zq;
 }
 
@@ -38,5 +41,5 @@
 // occupied volume fraction calculated from lattice symmetry and sphere radius
 static double
-_bcc_volume_fraction(double radius, double dnn)
+bcc_volume_fraction(double radius, double dnn)
 {
     return 2.0*sphere_volume(sqrt(0.75)*radius/dnn);
@@ -75,6 +78,6 @@
             const double qa = qab*cos_phi;
             const double qb = qab*sin_phi;
-            const double fq = _sq_bcc(qa, qb, qc, dnn, d_factor);
-            inner_sum += Gauss150Wt[j] * fq;
+            const double form = bcc_Zq(qa, qb, qc, dnn, d_factor);
+            inner_sum += Gauss150Wt[j] * form;
         }
         inner_sum *= phi_m;  // sum(f(x)dx) = sum(f(x)) dx
@@ -82,8 +85,7 @@
     }
     outer_sum *= theta_m;
-    const double Sq = outer_sum/(4.0*M_PI);
+    const double Zq = outer_sum/(4.0*M_PI);
     const double Pq = sphere_form(q, radius, sld, solvent_sld);
-
-    return _bcc_volume_fraction(radius, dnn) * Pq * Sq;
+    return bcc_volume_fraction(radius, dnn) * Pq * Zq;
 }
 
@@ -101,6 +103,6 @@
 
     q = sqrt(qa*qa + qb*qb + qc*qc);
+    const double Zq = bcc_Zq(qa, qb, qc, dnn, d_factor);
     const double Pq = sphere_form(q, radius, sld, solvent_sld);
-    const double Sq = _sq_bcc(qa, qb, qc, dnn, d_factor);
-    return _bcc_volume_fraction(radius, dnn) * Pq * Sq;
+    return bcc_volume_fraction(radius, dnn) * Pq * Zq;
 }
Index: sasmodels/models/fcc_paracrystal.c
===================================================================
--- sasmodels/models/fcc_paracrystal.c	(revision 2a0b2b133086c070f586ead5c4a343a7e57ecad5)
+++ sasmodels/models/fcc_paracrystal.c	(revision 7e0b281e5f175a91044364982fcfbfe802508948)
@@ -1,27 +1,29 @@
 static double
-_sq_fcc(double qa, double qb, double qc, double dnn, double d_factor)
+fcc_Zq(double qa, double qb, double qc, double dnn, double d_factor)
 {
-    // Rewriting equations for efficiency, accuracy and readability, and so
-    // code is reusable between 1D and 2D models.
-    const double a1 = qb + qa;
-    const double a2 = qa + qc;
-    const double a3 = qb + qc;
-
-    const double half_dnn = 0.5*dnn;
-    const double arg = 0.5*square(half_dnn*d_factor)*(a1*a1 + a2*a2 + a3*a3);
+#if 0  // Equations as written in Matsuoka
+    const double a1 = ( qa + qb)/2.0;
+    const double a2 = (-qa + qc)/2.0;
+    const double a3 = (-qa + qb)/2.0;
+#else
+    const double a1 = ( qa + qb)/2.0;
+    const double a2 = ( qa + qc)/2.0;
+    const double a3 = ( qb + qc)/2.0;
+#endif
 
     // Numerator: (1 - exp(a)^2)^3
     //         => (-(exp(2a) - 1))^3
     //         => -expm1(2a)^3
-    // Denominator: prod(1 - 2 cos(xk) exp(a) + exp(a)^2)
-    //         => exp(a)^2 - 2 cos(xk) exp(a) + 1
-    //         => (exp(a) - 2 cos(xk)) * exp(a) + 1
-    const double exp_arg = exp(-arg);
-    const double Sq = -cube(expm1(-2.0*arg))
-        / ( ((exp_arg - 2.0*cos(half_dnn*a1))*exp_arg + 1.0)
-          * ((exp_arg - 2.0*cos(half_dnn*a2))*exp_arg + 1.0)
-          * ((exp_arg - 2.0*cos(half_dnn*a3))*exp_arg + 1.0));
+    // Denominator: prod(1 - 2 cos(d ak) exp(a) + exp(2a))
+    //         => prod(exp(a)^2 - 2 cos(d ak) exp(a) + 1)
+    //         => prod((exp(a) - 2 cos(d ak)) * exp(a) + 1)
+    const double arg = -0.5*square(dnn*d_factor)*(a1*a1 + a2*a2 + a3*a3);
+    const double exp_arg = exp(arg);
+    const double Zq = -cube(expm1(2.0*arg))
+        / ( ((exp_arg - 2.0*cos(dnn*a1))*exp_arg + 1.0)
+          * ((exp_arg - 2.0*cos(dnn*a2))*exp_arg + 1.0)
+          * ((exp_arg - 2.0*cos(dnn*a3))*exp_arg + 1.0));
 
-    return Sq;
+    return Zq;
 }
 
@@ -29,5 +31,5 @@
 // occupied volume fraction calculated from lattice symmetry and sphere radius
 static double
-_fcc_volume_fraction(double radius, double dnn)
+fcc_volume_fraction(double radius, double dnn)
 {
     return 4.0*sphere_volume(M_SQRT1_2*radius/dnn);
@@ -66,6 +68,6 @@
             const double qa = qab*cos_phi;
             const double qb = qab*sin_phi;
-            const double fq = _sq_fcc(qa, qb, qc, dnn, d_factor);
-            inner_sum += Gauss150Wt[j] * fq;
+            const double form = fcc_Zq(qa, qb, qc, dnn, d_factor);
+            inner_sum += Gauss150Wt[j] * form;
         }
         inner_sum *= phi_m;  // sum(f(x)dx) = sum(f(x)) dx
@@ -73,8 +75,8 @@
     }
     outer_sum *= theta_m;
-    const double Sq = outer_sum/(4.0*M_PI);
+    const double Zq = outer_sum/(4.0*M_PI);
     const double Pq = sphere_form(q, radius, sld, solvent_sld);
 
-    return _fcc_volume_fraction(radius, dnn) * Pq * Sq;
+    return fcc_volume_fraction(radius, dnn) * Pq * Zq;
 }
 
@@ -93,5 +95,5 @@
     q = sqrt(qa*qa + qb*qb + qc*qc);
     const double Pq = sphere_form(q, radius, sld, solvent_sld);
-    const double Sq = _sq_fcc(qa, qb, qc, dnn, d_factor);
-    return _fcc_volume_fraction(radius, dnn) * Pq * Sq;
+    const double Zq = fcc_Zq(qa, qb, qc, dnn, d_factor);
+    return fcc_volume_fraction(radius, dnn) * Pq * Zq;
 }
Index: sasmodels/models/sc_paracrystal.c
===================================================================
--- sasmodels/models/sc_paracrystal.c	(revision 2a0b2b133086c070f586ead5c4a343a7e57ecad5)
+++ sasmodels/models/sc_paracrystal.c	(revision 7e0b281e5f175a91044364982fcfbfe802508948)
@@ -1,31 +1,28 @@
 static double
-_sq_sc(double qa, double qb, double qc, double dnn, double d_factor)
+sc_Zq(double qa, double qb, double qc, double dnn, double d_factor)
 {
-    // Rewriting equations for efficiency, accuracy and readability, and so
-    // code is reusable between 1D and 2D models.
     const double a1 = qa;
     const double a2 = qb;
     const double a3 = qc;
 
-    const double arg = 0.5*square(dnn*d_factor)*(a1*a1 + a2*a2 + a3*a3);
-
     // Numerator: (1 - exp(a)^2)^3
     //         => (-(exp(2a) - 1))^3
     //         => -expm1(2a)^3
-    // Denominator: prod(1 - 2 cos(xk) exp(a) + exp(a)^2)
-    //         => exp(a)^2 - 2 cos(xk) exp(a) + 1
-    //         => (exp(a) - 2 cos(xk)) * exp(a) + 1
-    const double exp_arg = exp(-arg);
-    const double Sq = -cube(expm1(-2.0*arg))
+    // Denominator: prod(1 - 2 cos(d ak) exp(a) + exp(2a))
+    //         => prod(exp(a)^2 - 2 cos(d ak) exp(a) + 1)
+    //         => prod((exp(a) - 2 cos(d ak)) * exp(a) + 1)
+    const double arg = -0.5*square(dnn*d_factor)*(a1*a1 + a2*a2 + a3*a3);
+    const double exp_arg = exp(arg);
+    const double Zq = -cube(expm1(2.0*arg))
         / ( ((exp_arg - 2.0*cos(dnn*a1))*exp_arg + 1.0)
           * ((exp_arg - 2.0*cos(dnn*a2))*exp_arg + 1.0)
           * ((exp_arg - 2.0*cos(dnn*a3))*exp_arg + 1.0));
 
-    return Sq;
+    return Zq;
 }
 
 // occupied volume fraction calculated from lattice symmetry and sphere radius
 static double
-_sc_volume_fraction(double radius, double dnn)
+sc_volume_fraction(double radius, double dnn)
 {
     return sphere_volume(radius/dnn);
@@ -65,6 +62,6 @@
             const double qa = qab*cos_phi;
             const double qb = qab*sin_phi;
-            const double fq = _sq_sc(qa, qb, qc, dnn, d_factor);
-            inner_sum += Gauss150Wt[j] * fq;
+            const double form = sc_Zq(qa, qb, qc, dnn, d_factor);
+            inner_sum += Gauss150Wt[j] * form;
         }
         inner_sum *= phi_m;  // sum(f(x)dx) = sum(f(x)) dx
@@ -72,8 +69,8 @@
     }
     outer_sum *= theta_m;
-    const double Sq = outer_sum/M_PI_2;
+    const double Zq = outer_sum/M_PI_2;
     const double Pq = sphere_form(q, radius, sld, solvent_sld);
 
-    return _sc_volume_fraction(radius, dnn) * Pq * Sq;
+    return sc_volume_fraction(radius, dnn) * Pq * Zq;
 }
 
@@ -92,5 +89,5 @@
     q = sqrt(qa*qa + qb*qb + qc*qc);
     const double Pq = sphere_form(q, radius, sld, solvent_sld);
-    const double Sq = _sq_sc(qa, qb, qc, dnn, d_factor);
-    return _sc_volume_fraction(radius, dnn) * Pq * Sq;
+    const double Zq = sc_Zq(qa, qb, qc, dnn, d_factor);
+    return sc_volume_fraction(radius, dnn) * Pq * Zq;
 }
